{
  "name": "histoiredunpied",
  "version": "0.1.0",
  "description": "Source code of histoiredunpied.com",
  "scripts": {
    "start": "hugo server -D",
    "serve": "(cd public && python3 -m http.server 8080)",
    "build": "rm -rf public && hugo -D --minify && node themes/hugo-theme-lowtech/scripts/typo && purgecss --css public/css/*.css --content public/index.html --output public/css/ && DATE=`date +\"%Y0101\"` && find public -exec touch -d $DATE {} +",
    "favicon": "convert static/icon.png -resize 32x32 -colors 16 \\( -clone 0 -resize 16x16 -extent 16x16 \\) \\( -clone 0 -resize 32x32 -extent 32x32 \\) -delete 0 static/favicon.ico",
    "svgo": "svgo */**.svg",
    "deploy": "docker-compose up -d --build",
    "ftp-deploy": "lftp -u $HISTOIREDUNPIED_FTP_USER,$HISTOIREDUNPIED_FTP_PASSWORD $HISTOIREDUNPIED_FTP_HOST -e 'mirror -e -R ./public /www ; quit'",
    "ftp-htaccess": "lftp -u $HISTOIREDUNPIED_FTP_USER,$HISTOIREDUNPIED_FTP_PASSWORD $HISTOIREDUNPIED_FTP_HOST -e 'put ./.htaccess ; quit'",
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "author": "Simon <simon@lamelio.fr>",
  "license": "GPL-3.0"
}
